← Home
POST/hyax-api/v1/products/:id/publish

Publish product

Takes the product live. Returns `400` listing the blocking reasons when it is not ready, and the non-blocking `warnings` when it succeeds.

Base URL: https://platform.hyax.com · Replace YOUR_API_KEY with your team API key.

Request

curl -X POST 'https://platform.hyax.com/hyax-api/v1/products/clx_example_id/publish' \
  -H 'Authorization: Bearer YOUR_API_KEY'

Response

{
  "success": true,
  "message": "Product published",
  "data": {
    "id": "clx…",
    "title": "Studio Tee",
    "isActive": true,
    "buyUrl": "https://shop.example.com/buy/studio-tee"
  },
  "warnings": [
    {
      "id": "product_media",
      "label": "Add an image",
      "description": "Products without any media look unfinished on the storefront and in checkout."
    }
  ]
}